<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Usagi Yojimbo</Series>
  <Number>14</Number>
  <Web>https://www.comixology.com/Usagi-Yojimbo-2019-14/digital-comic/881593</Web>
  <Volume>2019</Volume>
  <Summary>The Return, Part 4 (of 4) It’s an all out free for all with the entire village captured by assassins intent on murdering the Shogun’s emissary and Usagi and Kenichi standing against hopeless odds. However, help comes from a very unexpected source. But is it too late to prevent the killings? Find out in the conclusion of this four-part story arc.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB881593]</Notes>
  <Publisher>IDW</Publisher>
  <Genre>Action/Adventure, Anthropomorphic, Martial Arts, Mythology</Genre>
  <PageCount>28</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
